List<string> numbers = new();

foreach (var file in Directory.GetFiles("/var/data"))
{
    Console.WriteLine("Начало обработки файла " + file);
    numbers.AddRange(File.ReadAllLines(file));
}

File.WriteAllLines("/var/result/data.txt", numbers);
